Bug 426172 - FEAT: RHEL 5.2 Intel Tolapai cpucache patch
FEAT: RHEL 5.2 Intel Tolapai cpucache patch
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Geoff Gustafson
Martin Jenner
: FutureFeature, OtherQA
Depends On:
Blocks: 245607 251086
  Show dependency treegraph
 
Reported: 2007-12-18 18:01 EST by Jason Gaston
Modified: 2009-06-19 21:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:04:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Tolapai cpu cache info addition (755 bytes, patch)
2007-12-18 18:01 EST, Jason Gaston
no flags Details | Diff

  None (edit)
Description Jason Gaston 2007-12-18 18:01:23 EST
1. Feature Name: Intel Tolapai cpu cache info support.

2. Description: Attached is a patch to add the correct cpu cache info for the 
Tolapai system on a chip (SOC).  This patch was based on the 2.6.18-61 RHEL5.2 
source.

Architectures: 32-bit x86

Dependencies: None 
External links: N/A
Priority (H,M,L): High
Target Releases: RHEL 5.2
Target Release Date: 
Drivers or hardware dependency: Tolapai
Target Kernel: 2.6.x 

3. Business Justification: Need to add the patch for the cpu cache info to be 
listed correctly

4. Status: 

5. Hardware to Red Hat? Tolapai platform was shipped out on 12-18-2007

6. Partner management contact, Keve Gabbert, keve.a.gabbert@intel.com

7. Partner technical contact, Jason Gaston, jason.d.gaston@intel.com
Comment 1 Jason Gaston 2007-12-18 18:01:23 EST
Created attachment 289960 [details]
Tolapai cpu cache info addition
Comment 2 Ronald Pacheco 2008-01-08 12:55:11 EST
This patch is required to resolve an open issue with BZ 251806
Comment 3 Ronald Pacheco 2008-01-14 09:04:18 EST
Please note that hardware is available in Westford.
Comment 4 Peter Martuccelli 2008-01-15 10:46:11 EST
Geoff - Please build a test kernel from the latest R5 dev tree and verify the
change on a Tolapai system in house.
Comment 5 Geoff Gustafson 2008-01-15 16:05:12 EST
Posted to rhkernel.
Comment 8 Don Zickus 2008-01-21 12:30:17 EST
in 2.6.18-71.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 9 Jason Gaston 2008-01-21 20:08:15 EST
The test kernel works as expected for cpucache info on Tolapai.

Thanks,

Jason
Comment 11 John Poelstra 2008-03-20 23:58:51 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 12 Don Domingo 2008-04-01 22:16:42 EDT
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 13 John Poelstra 2008-04-02 17:39:42 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot3--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 14 John Poelstra 2008-04-09 18:45:22 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot4--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 15 Jason Gaston 2008-04-17 19:49:12 EDT
Verified that the cpucache info in cpuinfo is being reported correctly, in 
RHEL5.2 Snaphot4.
Comment 17 errata-xmlrpc 2008-05-21 11:04:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html
Comment 18 Jason Gaston 2008-05-21 14:27:01 EDT
Why do we need an ERRATA?  This is included and working.
Comment 19 Don Zickus 2008-05-21 15:01:21 EDT
All updates (include the 5.2 kernel) are released as ERRATAs.  

By closing this out and resolving it as ERRATA is the normal lifecycle of the
bugs we maintain.  This lets us known which update the bug was fixed in (in this
case the 5.2 kernel).

Note You need to log in before you can comment on or make changes to this bug.